#!/bin/sh
export PATH='/usr/local/libexec/ccache:/sbin:/bin:/usr/sbin:/usr/bin:/usr/games:/usr/local/sbin:/usr/local/bin:/root/bin'
echo 'name: STMonadTrans
version: 0.3.2
id: STMonadTrans-0.3.2-b8a79ca024e878679d53e20352a55e2c

license: BSD3
copyright:
maintainer: josef.svenningsson@gmail.com
stability:
homepage:
package-url:
synopsis: A monad transformer version of the ST monad
description: A monad transformer version of the ST monad
             Warning! This monad transformer should not be used with monads that
             can contain multiple answers, like the list monad. The reason is that
             the will be duplicated across the different answers and this cause
             Bad Things to happen (such as loss of referential transparency). Safe
             monads include the monads State, Reader, Writer, Maybe and
             combinations of their corresponding monad transformers.
category: Monads
author: Josef Svenningsson
exposed: True
exposed-modules: Control.Monad.ST.Trans
                 Control.Monad.ST.Trans.Internal
hidden-modules:
trusted: False
import-dirs: /usr/local/lib/cabal/ghc-7.8.3/STMonadTrans-0.3.2
library-dirs: /usr/local/lib/cabal/ghc-7.8.3/STMonadTrans-0.3.2
              /usr/local/lib
hs-libraries: HSSTMonadTrans-0.3.2
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: array-0.5.0.0-98aa445e59f3eb0c886795ff07406d84
         base-4.7.0.1-812360bc88c9859b8259f0d90b6e2faa
         mtl-2.1.3.1-8bcc0591131896cfc8761a93703d4c61
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/cabal/ghc-7.8.3/STMonadTrans-0.3.2/html/STMonadTrans.haddock
haddock-html: /usr/local/share/doc/cabal/ghc-7.8.3/STMonadTrans-0.3.2/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
